//
//  AsosImageLoaderPanel.java
//  AsosApp
//
//  Created by Nick Carrasco on Wed May 07 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;


public class AsosImageLoaderPanel extends JPanel {
  private JButton loadImage360;
  private JButton loadImage045;
  private JButton loadImage090;
  private JButton loadImage135;
  private JButton loadImage180;
  private JButton loadImage225;
  private JButton loadImage270;
  private JButton loadImage315;
  private JLabel stationIDLabel;
  private AsosAppController controller;
  
  public AsosImageLoaderPanel(AsosAppController c) {
    controller = c;
    
    stationIDLabel = new JLabel();
    setStationLabelText("Station ID");
    loadImage360 = new JButton("<HTML><H3>0/360</H3></HTML>");
    loadImage360.setActionCommand("360");
    loadImage360.addActionListener(controller);
    loadImage045 = new JButton("<HTML><H3>045</H3></HTML>");
    loadImage045.setActionCommand("045");
    loadImage045.addActionListener(controller);
    loadImage090 = new JButton("<HTML><H3>090</H3></HTML>");
    loadImage090.setActionCommand("090");
    loadImage090.addActionListener(controller);
    loadImage135 = new JButton("<HTML><H3>135</H3></HTML>");
    loadImage135.setActionCommand("135");
    loadImage135.addActionListener(controller);
    loadImage180 = new JButton("<HTML><H3>180</H3></HTML>");
    loadImage180.setActionCommand("180");
    loadImage180.addActionListener(controller);
    loadImage225 = new JButton("<HTML><H3>225</H3></HTML>");
    loadImage225.setActionCommand("225");
    loadImage225.addActionListener(controller);
    loadImage270 = new JButton("<HTML><H3>270</H3></HTML>");
    loadImage270.setActionCommand("270");
    loadImage270.addActionListener(controller);
    loadImage315 = new JButton("<HTML><H3>315</H3></HTML>");
    loadImage315.setActionCommand("315");
    loadImage315.addActionListener(controller);
    
    this.setLayout(new GridLayout(3,3));
    
    this.add(loadImage315);
    this.add(loadImage360);
    this.add(loadImage045);
    this.add(loadImage270);
    this.add(stationIDLabel);
    this.add(loadImage090);
    this.add(loadImage225);
    this.add(loadImage180);
    this.add(loadImage135);
    
    this.setVisible(true);
  }
  
  public void setStationLabelText(String statID) {
    stationIDLabel.setHorizontalAlignment(JLabel.CENTER);
    String stationLabelText = new String("<HTML><H2><I>" + statID + "</I></H2></HTML>");
    stationIDLabel.setText(stationLabelText);
  }
  
  public void setLoadImage360Icon(String image) {
    loadImage360.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage045Icon(String image) {
    loadImage045.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage090Icon(String image) {
    loadImage090.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage135Icon(String image) {
    loadImage135.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage180Icon(String image) {
    loadImage180.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage225Icon(String image) {
    loadImage225.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage270Icon(String image) {
    loadImage270.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
  public void setLoadImage315Icon(String image) {
    loadImage315.setText("<HTML><IMG SRC=\"file:"+image+"\" HEIGHT=100 WIDTH=125></HTML>");
  }
}
