//
//  AsosStationInfoPanel.java
//  AsosApp
//
//  Created by Nick Carrasco on Thu May 08 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;

public class AsosStationInfoPanel extends JPanel {
  private AsosAppController controller;
  private JTextField stationID;
  private JTextField documentationDate;
  private JTextField wfo;
  private JTextField name;
  private JTextField phone;
  private JTextField email;
  private JTextField location;
  private JTextField latitude;
  private JTextField longitude;
  private JTextField anemometerHeight;
  

  public AsosStationInfoPanel(AsosAppController c) {
    controller = c;
    
    this.setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
    
    JPanel idPanel = new JPanel();
    idPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel idLabel = new JLabel("<HTML><B>WMO ID:</B></HTML>");
    idPanel.add(idLabel);
    stationID = new JTextField(17);
    idPanel.add(stationID);
    JButton stationIDSetButton = new JButton("<HTML>Set ID</HTML>");
    stationIDSetButton.setActionCommand("wmoid");
    stationIDSetButton.addActionListener(controller);
    idPanel.add(stationIDSetButton);
    this.add(idPanel);
    
    JPanel datePanel = new JPanel();
    datePanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel dateLabel = new JLabel("<HTML><B>Date Of Documentation</B></HTML>");
    datePanel.add(dateLabel);
    documentationDate = new JTextField("MM/DD/YYYY",25);
    datePanel.add(documentationDate);
    this.add(datePanel);
    
    JPanel wfoPanel = new JPanel();
    wfoPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel wfoLabel = new JLabel("<HTML><B>WFO: </B></HTML>");
    wfoPanel.add(wfoLabel);
    wfo = new JTextField(25);
    wfoPanel.add(wfo);
    this.add(wfoPanel);
    
    JPanel namePanel = new JPanel();
    namePanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel nameLabel = new JLabel("<HTML><B>Name: </B></HTML>");
    namePanel.add(nameLabel);
    name = new JTextField(25);
    namePanel.add(name);
    this.add(namePanel);
    
    JPanel phonePanel = new JPanel();
    phonePanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel phoneLabel = new JLabel("<HTML><B>Phone: </B></HTML>");
    phonePanel.add(phoneLabel);
    phone = new JTextField("###-###-####",25);
    phonePanel.add(phone);
    this.add(phonePanel);
    
    JPanel emailPanel = new JPanel();
    emailPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel emailLabel = new JLabel("<HTML><B>eMail: </B></HTML>");
    emailPanel.add(emailLabel);
    email = new JTextField(25);
    emailPanel.add(email);
    this.add(emailPanel);
    
    JPanel locPanel = new JPanel();
    locPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel locationLabel = new JLabel("<HTML><B>Location: </B></HTML>");
    locPanel.add(locationLabel);
    location = new JTextField(25);
    locPanel.add(location);
    this.add(locPanel);
    
    JPanel latPanel = new JPanel();
    latPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel latLabel = new JLabel("<HTML><B>Latitude: </B></HTML>");
    latPanel.add(latLabel);
    latitude = new JTextField("Deg.Min.Sec",25);
    latPanel.add(latitude);
    this.add(latPanel);
    
    JPanel lonPanel = new JPanel();
    lonPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel lonLabel = new JLabel("<HTML><B>Longitude: </B></HTML>");
    lonPanel.add(lonLabel);
    longitude = new JTextField("Deg.Min.Sec",25);
    lonPanel.add(longitude);
    this.add(lonPanel);
    
    JPanel hgtPanel = new JPanel();
    hgtPanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel heightLabel = new JLabel("<HTML><B>Anemometer Height (ft): </B></HTML>");
    hgtPanel.add(heightLabel);
    anemometerHeight = new JTextField(25);
    hgtPanel.add(anemometerHeight);
    this.add(hgtPanel);
    
    JPanel filePanel = new JPanel();
    filePanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JButton asciiInfoButton = new JButton("Set Information");
    asciiInfoButton.setActionCommand("statinfo");
    asciiInfoButton.addActionListener(controller);
    filePanel.add(asciiInfoButton);
    this.add(filePanel);
    
    this.setVisible(true);
  }
  
  public String getStationID() {
    return stationID.getText();
  }
  
  public String getDocumentationDate() {
    return stationID.getText();
  }

  public String getWfo() {
    return wfo.getText();
  }

  public String getName() {
    return name.getText();
  }

  public String getPhone() {
    return phone.getText();
  }

  public String getEmail() {
    return email.getText();
  }

  public String getLoc() {
    return location.getText();
  }

  public String getLat() {
    return latitude.getText();
  }

  public String getLon() {
    return longitude.getText();
  }

  public String getHght() {
    return anemometerHeight.getText();
  }
  
  public String getAsciiInfo() {
    String info = new String();
    if(getDocumentationDate().length() != 0) info += "Date of Documentation: " + getDocumentationDate() + "\n";
    else return null;
    if(getWfo().length() != 0) info += "WFO: " + getWfo() + "\n";
    else return null;
    if(getLoc().length() != 0) info += "ASOS Location: " + getLoc() + "\n";
    else return null;
    if(getStationID().length() != 0) info += "ASOS Station ID: " + getStationID() + "\n";
    else return null;
    if(getLat().length() != 0) info += "ASOS Latitude: " + getLat() + "\n";
    else return null;
    if(getLon().length() != 0) info += "ASOS Longitude: " + getLon() + "\n";
    else return null;
    if(getHght().length() != 0) info += "ASOS Anemometer Height: " + getHght() + "\n";
    else return null;
    return info;
  }
  
  public String getEmailInfo() {
    String info = new String(" New Station submitted: \n");
    info += "\tWMO Station ID:" + getStationID() + "\n";
    info += "\tName: " + getName() + "\n";
    info += "\tPhone: " + getPhone() + "\n";
    info += "\tEmail: " + getEmail() + "\n";
    info += "\tWFO: " + getWfo() + "\n";
    info += "\tDocumentation Date: " + getDocumentationDate() + "\n";
    return info;
  }
}
